#! /bin/sh
#
#	cook - file construction tool
#	Copyright (C) 1990, 1991, 1992, 1993 Peter Miller.
#	All rights reserved.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# MANIFEST: test the c_incl program
#

fail()
{
	echo 'FAILED test of the c_incl program' 1>&2
	exit 1
}
pass()
{
	exit 0
}
trap "fail" 1 2 3 15

foo='dummy!@#$%file'

bin/c_incl -nc $foo
if test $? -ne 1 ; then fail; fi

bin/c_incl -nc -eia $foo
if test $? -ne 0 ; then fail; fi

pass
